
public class Class69 {

   static final int anInt664 = 8;
   int anInt665 = -1863932805;
   Class456 aClass456_666 = new Class456();
   static final int anInt667 = 3;
   static final int anInt668 = 2;
   long aLong669;
   static final int anInt670 = 4;
   static final int anInt671 = 5;
   static final int anInt672 = 7;
   static final int anInt673 = 1;
   static final int anInt674 = 10;
   static final int anInt675 = 9;
   static final int anInt676 = 11;
   static final int anInt677 = 6;
   static final int anInt678 = 12;
   static final int anInt679 = 13;
   static final int anInt680 = 14;


   void method1469(RS2Buffer var1, int var2) {
      this.aLong669 = var1.method13729((byte)119) * -7867939191574132499L;
      this.anInt665 = var1.readInt_(1374829261) * 1863932805;

      for(int var3 = var1.readUnsignedByte(-700559597); var3 != 0; var3 = var1.readUnsignedByte(-700559597)) {
         Object var4;
         if(3 == var3) {
            var4 = new Class225_Sub21_Sub14(this);
         } else if(1 == var3) {
            var4 = new Class225_Sub21_Sub3(this);
         } else if(13 == var3) {
            var4 = new Class225_Sub21_Sub13(this);
         } else if(4 == var3) {
            var4 = new Class225_Sub21_Sub7(this);
         } else if(var3 == 6) {
            var4 = new Class225_Sub21_Sub11(this);
         } else if(var3 == 5) {
            var4 = new Class225_Sub21_Sub12(this);
         } else if(var3 == 2) {
            var4 = new Class225_Sub21_Sub10(this);
         } else if(var3 == 7) {
            var4 = new Class225_Sub21_Sub8(this);
         } else if(var3 == 14) {
            var4 = new Class225_Sub21_Sub6(this);
         } else if(var3 == 8) {
            var4 = new Class225_Sub21_Sub2(this);
         } else if(9 == var3) {
            var4 = new Class225_Sub21_Sub5(this);
         } else if(10 == var3) {
            var4 = new Class225_Sub21_Sub9(this);
         } else if(var3 == 11) {
            var4 = new Class225_Sub21_Sub4(this);
         } else {
            if(12 != var3) {
               throw new RuntimeException("");
            }

            var4 = new Class225_Sub21_Sub1(this);
         }

         ((Class225_Sub21)var4).method13685(var1, -334901135);
         this.aClass456_666.method7712((Class225)var4, (byte)103);
      }

   }

   void method1470(RS2Buffer var1) {
      this.aLong669 = var1.method13729((byte)111) * -7867939191574132499L;
      this.anInt665 = var1.readInt_(-778688508) * 1863932805;

      for(int var2 = var1.readUnsignedByte(-700559597); var2 != 0; var2 = var1.readUnsignedByte(-700559597)) {
         Object var3;
         if(3 == var2) {
            var3 = new Class225_Sub21_Sub14(this);
         } else if(1 == var2) {
            var3 = new Class225_Sub21_Sub3(this);
         } else if(13 == var2) {
            var3 = new Class225_Sub21_Sub13(this);
         } else if(4 == var2) {
            var3 = new Class225_Sub21_Sub7(this);
         } else if(var2 == 6) {
            var3 = new Class225_Sub21_Sub11(this);
         } else if(var2 == 5) {
            var3 = new Class225_Sub21_Sub12(this);
         } else if(var2 == 2) {
            var3 = new Class225_Sub21_Sub10(this);
         } else if(var2 == 7) {
            var3 = new Class225_Sub21_Sub8(this);
         } else if(var2 == 14) {
            var3 = new Class225_Sub21_Sub6(this);
         } else if(var2 == 8) {
            var3 = new Class225_Sub21_Sub2(this);
         } else if(9 == var2) {
            var3 = new Class225_Sub21_Sub5(this);
         } else if(10 == var2) {
            var3 = new Class225_Sub21_Sub9(this);
         } else if(var2 == 11) {
            var3 = new Class225_Sub21_Sub4(this);
         } else {
            if(12 != var2) {
               throw new RuntimeException("");
            }

            var3 = new Class225_Sub21_Sub1(this);
         }

         ((Class225_Sub21)var3).method13685(var1, -334901135);
         this.aClass456_666.method7712((Class225)var3, (byte)89);
      }

   }

   public void method1471(Class64 var1, byte var2) {
      if(this.aLong669 * 3955159908463023333L == 4392038352286676727L * var1.aLong596 && this.anInt665 * 1819567437 == -1242408613 * var1.anInt597) {
         for(Class225_Sub21 var3 = (Class225_Sub21)this.aClass456_666.method7682((byte)6); var3 != null; var3 = (Class225_Sub21)this.aClass456_666.method7666(-1784155526)) {
            var3.method13690(var1, -543666943);
         }

         var1.anInt597 += 741748435;
      } else {
         throw new RuntimeException("");
      }
   }

   public Class69(RS2Buffer var1) {
      this.method1469(var1, 1387066502);
   }

   void method1472(RS2Buffer var1) {
      this.aLong669 = var1.method13729((byte)54) * -7867939191574132499L;
      this.anInt665 = var1.readInt_(1347826184) * 1863932805;

      for(int var2 = var1.readUnsignedByte(-700559597); var2 != 0; var2 = var1.readUnsignedByte(-700559597)) {
         Object var3;
         if(3 == var2) {
            var3 = new Class225_Sub21_Sub14(this);
         } else if(1 == var2) {
            var3 = new Class225_Sub21_Sub3(this);
         } else if(13 == var2) {
            var3 = new Class225_Sub21_Sub13(this);
         } else if(4 == var2) {
            var3 = new Class225_Sub21_Sub7(this);
         } else if(var2 == 6) {
            var3 = new Class225_Sub21_Sub11(this);
         } else if(var2 == 5) {
            var3 = new Class225_Sub21_Sub12(this);
         } else if(var2 == 2) {
            var3 = new Class225_Sub21_Sub10(this);
         } else if(var2 == 7) {
            var3 = new Class225_Sub21_Sub8(this);
         } else if(var2 == 14) {
            var3 = new Class225_Sub21_Sub6(this);
         } else if(var2 == 8) {
            var3 = new Class225_Sub21_Sub2(this);
         } else if(9 == var2) {
            var3 = new Class225_Sub21_Sub5(this);
         } else if(10 == var2) {
            var3 = new Class225_Sub21_Sub9(this);
         } else if(var2 == 11) {
            var3 = new Class225_Sub21_Sub4(this);
         } else {
            if(12 != var2) {
               throw new RuntimeException("");
            }

            var3 = new Class225_Sub21_Sub1(this);
         }

         ((Class225_Sub21)var3).method13685(var1, -334901135);
         this.aClass456_666.method7712((Class225)var3, (byte)91);
      }

   }

   static final void method1473(Class508 var0, byte var1) {
      Class505 var2 = var0.aBool6014?var0.aClass505_6011:var0.aClass505_6010;
      Class124 var3 = var2.aClass124_5977;
      Class121 var4 = var2.aClass121_5978;
      OutgoingOpcode.method5388(var3, var4, var0, 488647464);
   }

   static final void method1474(Class508 var0, int var1) {
      var0.anInt6003 -= 196624946;
      int var2 = var0.anIntArray6027[-937710807 * var0.anInt6003];
      int var3 = var0.anIntArray6027[-937710807 * var0.anInt6003 + 1];
      var0.aClass369_6012.anIntArray4622[var2] = var3;
   }

   public static void method1475(Class225_Sub28 var0, byte var1) {
      Class551.method11802(var0, 200000, 217429775);
   }

   static Class515_Sub1_Sub4_Sub4 method1476(int var0, int var1, int var2, int var3) {
      Class572 var4 = client.aClass279_7807.method4917(-2045526760).aClass572ArrayArrayArray2868[var0][var1][var2];
      if(null == var4) {
         return null;
      } else {
         Class515_Sub1_Sub4_Sub4 var5 = null;
         int var6 = -1;

         for(Class239 var7 = var4.aClass239_7584; var7 != null; var7 = var7.aClass239_2838) {
            Class515_Sub1_Sub4 var8 = var7.aClass515_Sub1_Sub4_2839;
            if(var8 instanceof Class515_Sub1_Sub4_Sub4) {
               Class515_Sub1_Sub4_Sub4 var9 = (Class515_Sub1_Sub4_Sub4)var8;
               int var10 = (var9.method16638(1557829471) - 1) * 256 + 252;
               Class326 var11 = var9.method10913().aClass326_4031;
               int var12 = (int)var11.aFloat4036 - var10 >> 9;
               int var13 = (int)var11.aFloat4033 - var10 >> 9;
               int var14 = var10 + (int)var11.aFloat4036 >> 9;
               int var15 = var10 + (int)var11.aFloat4033 >> 9;
               if(var12 <= var1 && var13 <= var2 && var14 >= var1 && var15 >= var2) {
                  int var16 = (var15 + 1 - var2) * (1 + var14 - var1);
                  if(var16 > var6) {
                     var5 = var9;
                     var6 = var16;
                  }
               }
            }
         }

         return var5;
      }
   }

   static Class109[] method1477(int var0) {
      return new Class109[]{Class109.aClass109_1056, Class109.aClass109_1074, Class109.aClass109_1049, Class109.aClass109_1082, Class109.aClass109_1069, Class109.aClass109_1048, Class109.aClass109_1053, Class109.aClass109_1077, Class109.aClass109_1068, Class109.aClass109_1065, Class109.aClass109_1050, Class109.aClass109_1051, Class109.aClass109_1080, Class109.aClass109_1054, Class109.aClass109_1060, Class109.aClass109_1070, Class109.aClass109_1071, Class109.aClass109_1078, Class109.aClass109_1083, Class109.aClass109_1057, Class109.aClass109_1064, Class109.aClass109_1062, Class109.aClass109_1052, Class109.aClass109_1073, Class109.aClass109_1076, Class109.aClass109_1079, Class109.aClass109_1075, Class109.aClass109_1058, Class109.aClass109_1067, Class109.aClass109_1081, Class109.aClass109_1059, Class109.aClass109_1072, Class109.aClass109_1063, Class109.aClass109_1055, Class109.aClass109_1047, Class109.aClass109_1066, Class109.aClass109_1061};
   }
}
